| Home | Libraries | People | FAQ | More

###### string::rend (2 of 2 overloads)

Return a reverse iterator to the character following the last character of the reversed container.

###### Synopsis

    const_reverse_iterator
    rend() const;

###### Description

Returns the pointed-to character that corresponds to the character preceding the first character of the non-reversed container. This character acts as a placeholder, attempting to access it results in undefined behavior.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.